PIRL.Strings

## Class Words.Word_Index

- java.lang.Object
- - PIRL.Strings.Words.Word_Index

Enclosing class:
  Words

    public class Words.Word_Index
    extends Object

A Word_Index provides a start,end string location for a word.

### Field Summary

Fields
`int` `End_Index` A string index where a word ends.
`int` `Start_Index` A string index where a word starts.

### Constructor Summary

Constructors
Constructor and Description
`Words.Word_Index()` Constructs a Word_Index at (0,0).
`Words.Word_Index(int start, int end)` Constructs a Word_Index for start and end word locations.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### Start_Index

    public int Start_Index

A string index where a word starts.

#### End_Index

    public int End_Index

A string index where a word ends.

### Constructor Detail

#### Words.Word_Index

    public Words.Word_Index()

Constructs a Word_Index at (0,0).

#### Words.Word_Index

    public Words.Word_Index(int start,
                    int end)

Constructs a Word_Index for start and end word locations.